package ehu.student.oo.ui;

import java.awt.AWTEvent;
import java.awt.event.MouseEvent;

import javax.swing.JButton;
import javax.swing.JFrame;

/**
 * Una clase particular de boton, que escribe un mensaje
 * de saludo cuando es pinchado por el usuario.
 */
public class HolaJButton extends javax.swing.JButton {
	private static final long serialVersionUID = 1L;

	/**
	 * Ejecutado cuando el usuario pincha en el boton.
	 */
	@Override
	protected void processEvent(AWTEvent e) {
		int codigoDelEvento = e.getID();
		if (codigoDelEvento == MouseEvent.MOUSE_CLICKED){
			System.out.println("Hola");
		} else {
			//System.out.println(e);
		}
	}

	/**
	 * Puesta en marcha: se crea una ventana con un boton de la clase anterior.
	 */
	public static void main(String[] args) {
		JFrame frame = new JFrame();
		frame.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		
		JButton b = new HolaJButton();
		b.setText("Hola"); /*
		                    * El titulo del boton:
		                    *    debe tener mas de un caracter!!!
		                    * ... o no se vera el boton!
		                    */
		frame.add(b);
		
		frame.pack();
		frame.setVisible(true);
	}
}
