package ehu.student.oo.ui;

import javax.swing.JButton;
import javax.swing.JColorChooser;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * Una ventana con botones, etc, situados en paneles.
 */
public class VentanaConPaneles extends JFrame
{
    private static final long serialVersionUID = 1L;
    
    private JButton operarButton = new JButton("Do it");
    private JButton finButton = new JButton("Fin");
    
    private JColorChooser colorChooser = new JColorChooser();
    private JFileChooser fileChooser = new JFileChooser();

    /* 
     * un panel es un componente en el cual se colocan objetos graficos
     */
    private JPanel panelCentro;
    
    private JPanel panelNorte;    
    private JPanel panelSur;    
    private JPanel panelEste;
    private JPanel panelOeste;  
    
    
    /**
     * Construye una nueva ventana
     */
    public VentanaConPaneles(){
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      panelNorte = new JPanel();
      panelCentro = new JPanel();
      panelSur = new JPanel();
      panelEste = new JPanel();
      panelOeste = new JPanel();

      add("North", panelNorte);
      add("North", panelNorte);
      add("Center", panelCentro);
      add("South", panelSur);
      add("East", panelEste);
      add("West", panelOeste);
      
      panelNorte.add(operarButton);
      panelNorte.add(finButton);
      panelCentro.add(colorChooser);
      panelSur.add(fileChooser);
      
      pack();
    }
            
     
	/*
	 * Puesta en marcha...
	 */
	public static void main(String args[])
    {
        VentanaConPaneles v = new VentanaConPaneles();
        v.setVisible(true);
    }
 }