package ehu.student.oo.ui;

import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

import javax.swing.JFrame;

/**
 * Una ventana con un tablero dibujado en el centro.
 * 
 * Se dibuja una figura siguiendo los movimientos del puntero
 * del raton a traves del tablero.
 * La figura va cambiando a medida que se desplaza el puntero
 * de una posicion a otra.
 */
public class VentanaConTableroSimpleYMouseMotionListener extends JFrame
{
	private static final long serialVersionUID = 1L;

	private JTablero tablero = new JTablero();


	/**
	 * Construye una nueva ventana
	 */
	public VentanaConTableroSimpleYMouseMotionListener(){
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		add("Center", tablero);

		/*
		 * Para ajustar automaticamente las dimensiones de la ventana
		 * segun el numero y dimensiones de los elementos que contiene
		 */
		pack();

		/*
		 * Acciones de respuesta a los movimientos del puntero del raton.
		 */
		tablero.addMouseMotionListener(new MouseMotionListener(){

			public void mouseDragged(MouseEvent e) {
				System.out.println(e);
			}

			public void mouseMoved(MouseEvent e) {
				System.out.println(e);
			}});
	}

	
	/*
	 * Puesta en marcha...
	 */
	public static void main(String args[])
	{
		VentanaConTableroSimpleYMouseMotionListener v = new VentanaConTableroSimpleYMouseMotionListener();
		v.setVisible(true);
	}
}