package ehu.student.oo.ui;

import javax.swing.JButton;
import javax.swing.JColorChooser;
import javax.swing.JFileChooser;
import javax.swing.JFrame;

/**
 * Una ventana con botones, etc.
 * 
 * Los componentes de la ventana se crean
 * y se situan en la ventana.
 * Cuando la ventana se dibuja en la pantalla,
 * solo se dibuja el ultimo componente en ser situado.
 */
public class VentanaMalOrganizada extends JFrame
{
	private static final long serialVersionUID = 1L;

	private JButton operarButton = new JButton("Do it");
	private JButton finButton = new JButton("Fin");

	private JColorChooser colorChooser = new JColorChooser();
	private JFileChooser fileChooser = new JFileChooser();

	/**
	 * Construye una nueva ventana
	 */
	public VentanaMalOrganizada(){
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		add(operarButton);
		add(finButton);
		add(fileChooser);
		add(colorChooser);

		/*
		 * Para ajustar automaticamente las dimensiones de la ventana
		 * segun el numero y dimensiones de los elementos que contiene
		 */
		pack();
	}

	/*
	 * Puesta en marcha...
	 */
	public static void main(String args[])
	{
		VentanaMalOrganizada v = new VentanaMalOrganizada();
		v.setVisible(true);
	}
}