package ehu.student.oo.ui;

import javax.swing.JButton;
import javax.swing.JColorChooser;
import javax.swing.JFileChooser;
import javax.swing.JFrame;

/**
 * Una ventana con botones, etc.
 * 
 * Los componentes de la ventana se crean
 * y se situan en las diferentes zonas de la ventana.
 * Cuando la ventana se dibuja en la pantalla,
 * no se dibujan todos los situados en la zona central ("Center"):
 * aunque se han situado dos.
 */
public class VentanaSinPaneles extends JFrame
{
	private static final long serialVersionUID = 1L;

	private JButton operarButton = new JButton("Do it");
	private JButton finButton = new JButton("Fin");

	private JColorChooser colorChooser = new JColorChooser();
	private JFileChooser fileChooser = new JFileChooser();

	/**
	 * Construye una nueva ventana
	 */
	public VentanaSinPaneles(){
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		add("North", operarButton); /* 
		                             * Si se cambia "North" por
		                             *    "NORTH" "north"...
		                             * peta!
		                             */ 
		add("South", finButton);
		add("Center", colorChooser);
		add("Center", fileChooser);

		/*
		 * Para ajustar automaticamente las dimensiones de la ventana
		 * segun el numero y dimensiones de los elementos que contiene
		 */
		pack();
	}

	/*
	 * Puesta en marcha...
	 */
	public static void main(String args[])
	{
		VentanaSinPaneles v = new VentanaSinPaneles();
		v.setVisible(true);
	}
}